import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit, TemplateRef } from "@angular/core";
import { Subject } from "rxjs/Subject";
import { Subscription } from "rxjs/Subscription";
import { DataType } from "../data-operations/data-util";
import { IgxToggleDirective } from "../directives/toggle/toggle.directive";
import { IgxGridAPIService } from "./api.service";
export declare class IgxGridFilterComponent implements OnInit, OnDestroy {
    private gridAPI;
    private cdr;
    private elementRef;
    column: any;
    value: any;
    readonly dataType: DataType;
    readonly conditions: any[];
    readonly template: TemplateRef<any>;
    readonly filterCSS: string;
    readonly gridID: string;
    readonly styleClasses: string;
    dialogShowing: boolean;
    dialogPosition: string;
    protected UNARY_CONDITIONS: string[];
    protected _value: any;
    protected _filterCondition: any;
    protected filterChanged: Subject<{}>;
    protected chunkLoaded: Subscription;
    private MINIMUM_VIABLE_SIZE;
    protected defaultFilterUI: TemplateRef<any>;
    protected defaultDateUI: TemplateRef<any>;
    protected toggleDirective: IgxToggleDirective;
    constructor(gridAPI: IgxGridAPIService, cdr: ChangeDetectorRef, elementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    refresh(): void;
    isActive(value: any): boolean;
    readonly unaryCondition: boolean;
    filter(): void;
    clearFiltering(): void;
    conditionChanged(value: any): void;
    onInputChanged(val: any): void;
    readonly disabled: boolean;
    onClick(event: any): void;
    protected transformValue(value: any): any;
    protected filteringExpression(): boolean;
}
