import { CommonModule } from "@angular/common";
import { Component, ElementRef, HostBinding, Input, NgModule, ViewChild } from "@angular/core";
var IgxIconComponent = /** @class */ (function () {
    function IgxIconComponent(el) {
        this.el = el;
        this.cssClass = "igx-icon";
        this.font = "material";
        this.active = true;
    }
    Object.defineProperty(IgxIconComponent.prototype, "getFontSet", {
        get: function () {
            return this.font;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxIconComponent.prototype, "getActive", {
        get: function () {
            return this.active;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxIconComponent.prototype, "getInactive", {
        get: function () {
            return !this.active;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxIconComponent.prototype, "getIconColor", {
        get: function () {
            return this.iconColor;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgxIconComponent.prototype, "getIconName", {
        get: function () {
            return this.iconName;
        },
        enumerable: true,
        configurable: true
    });
    IgxIconComponent.decorators = [
        { type: Component, args: [{
                    selector: "igx-icon",
                    template: "<i #icon *ngIf=\"getFontSet == 'material'\" class=\"material-icons\">     {{ getIconName }} </i>"
                },] },
    ];
    /** @nocollapse */
    IgxIconComponent.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    IgxIconComponent.propDecorators = {
        "themeIcon": [{ type: ViewChild, args: ["icon",] },],
        "cssClass": [{ type: HostBinding, args: ["class.igx-icon",] },],
        "font": [{ type: Input, args: ["fontSet",] },],
        "active": [{ type: Input, args: ["isActive",] },],
        "iconColor": [{ type: Input, args: ["color",] },],
        "iconName": [{ type: Input, args: ["name",] },],
        "getInactive": [{ type: HostBinding, args: ["class.igx-icon--inactive",] },],
        "getIconColor": [{ type: HostBinding, args: ["style.color",] },],
    };
    return IgxIconComponent;
}());
export { IgxIconComponent };
var IgxIconModule = /** @class */ (function () {
    function IgxIconModule() {
    }
    IgxIconModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [IgxIconComponent],
                    exports: [IgxIconComponent],
                    imports: [CommonModule]
                },] },
    ];
    /** @nocollapse */
    IgxIconModule.ctorParameters = function () { return []; };
    return IgxIconModule;
}());
export { IgxIconModule };
//# sourceMappingURL=icon.component.js.map